List port-out related reports
List the reports generated about port-out operations.
GET
/
portouts
/
reports
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const portoutReport of client.portouts.reports.list()) {
console.log(portoutReport.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.portouts.reports.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Portouts.Reports.List(context.TODO(), telnyx.PortoutReportListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portouts.reports.ReportListPage;
import com.telnyx.sdk.models.portouts.reports.ReportListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ReportListPage page = client.portouts().reports().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.portouts.reports.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->portouts->reports->list(
filter: ['reportType' => 'export_portouts_csv', 'status' => 'completed'],
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx portouts:reports list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/portouts/reports \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "eef3340b-8903-4466-b445-89b697315a3a",
"report_type": "export_portouts_csv",
"status": "completed",
"params": {
"filters": {
"status__in": [],
"customer_reference__in": [
"my-customer-reference"
],
"end_user_name": "McPortersen",
"phone_numbers__overlaps": [
"+1234567890"
],
"created_at__lt": "2023-11-07T05:31:56Z",
"created_at__gt": "2023-11-07T05:31:56Z"
}
},
"document_id": "f1486bae-f067-460c-ad43-73a92848f902",
"record_type": "portout_report",
"created_at": "2021-03-19T10:07:15.527000Z",
"updated_at": "2021-03-19T10:07:15.527000Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Consolidated page parameter (deepObject style). Originally: page[number], page[size]
Show child attributes
Show child attributes
Consolidated filter parameter (deepObject style). Originally: filter[report_type], filter[status]
Show child attributes
Show child attributes
Was this page helpful?
List eligible port-out rejection codes for a specific order
Previous
Create a port-out related report
Next
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const portoutReport of client.portouts.reports.list()) {
console.log(portoutReport.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.portouts.reports.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Portouts.Reports.List(context.TODO(), telnyx.PortoutReportListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portouts.reports.ReportListPage;
import com.telnyx.sdk.models.portouts.reports.ReportListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ReportListPage page = client.portouts().reports().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.portouts.reports.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->portouts->reports->list(
filter: ['reportType' => 'export_portouts_csv', 'status' => 'completed'],
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx portouts:reports list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/portouts/reports \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "eef3340b-8903-4466-b445-89b697315a3a",
"report_type": "export_portouts_csv",
"status": "completed",
"params": {
"filters": {
"status__in": [],
"customer_reference__in": [
"my-customer-reference"
],
"end_user_name": "McPortersen",
"phone_numbers__overlaps": [
"+1234567890"
],
"created_at__lt": "2023-11-07T05:31:56Z",
"created_at__gt": "2023-11-07T05:31:56Z"
}
},
"document_id": "f1486bae-f067-460c-ad43-73a92848f902",
"record_type": "portout_report",
"created_at": "2021-03-19T10:07:15.527000Z",
"updated_at": "2021-03-19T10:07:15.527000Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}